#
# Conditional build:
%bcond_with	doc	# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	recordclass
Summary:	Mutable variant of collections.namedtuple, which supports assignments
Summary(pl.UTF-8):	Modyfikowalny wariant collections.namedtuple, obsługujący przypisania
Name:		python-%{module}
Version:	0.4.3
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/recordclass/
Source0:	https://files.pythonhosted.org/packages/source/r/recordclass/recordclass-%{version}.tar.gz
# Source0-md5:	3e36bba64024b70a49b475fd20b56710
URL:		http://intellimath.bitbucket.org/recordclass
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description

%description -l pl.UTF-8

%package -n python3-%{module}
Summary:	Mutable variant of collections.namedtuple, which supports assignments
Summary(pl.UTF-8):	Modyfikowalny wariant collections.namedtuple, obsługujący przypisania
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}

%description -n python3-%{module} -l pl.UTF-8

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/test
%{py_sitedir}/%{module}/test/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/test
%{py3_sitedir}/%{module}/typing
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-recordclass.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> a81adba
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> c9e488a
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 72142c5
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 32b2dd8
- release 2 (by relup.sh)

* Thu Nov 09 2017 Mateusz Korniak <matkor@pld-linux.org> 46c941e
- Release 1. Works for me.

* Thu Nov 09 2017 Mateusz Korniak <matkor@pld-linux.org> 5f3fb98
- Initial 0.4.3

